##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (Utils)		= PkgName
# sampledir (ksm-utils)		= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (sampleconf)	= config file name (no extension)
# sampledm (sampledm)		= the daemon (rc-script, rc-link, systemd.service)
# sample (sample)		= all others
##############################################################################

# Specfile for Utils

%define name	ksm-utils
%define version	1.0.4
%define release	40.0.0
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _sysddir	/etc/systemd/system
%define _uxbindir	/usr/bin
%define _uxsbindir	/usr/sbin
%define _bindir		/usr/local/bin
%define _sbindir	/usr/local/sbin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Other
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	% {_tmppath}/% {name}-% {version}-% {release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	jhead,joe,mutt,zip,gzip,bzip2,xz,tcl,tk
Requires:	ksm-lib-sh >= 5.0.1-0.0.0,ksm-libmath2-sh >= 4.0.0-0.0.0,ksm-textproc >= 1.0.1-11.0.0
#Provides:	sampledm
#Conflicts:	sampledm-other,libsample == 0.0.0
#Obsoletes:	mysampledm

%description
This package contains the following utilities:

 beautf-fn, beep, compr, datediff, deg2rad, del, diskedit, 
 faxrequeue, fileck, flowed.fltr, lsstat, 
 maillst, make4alldirs, make4allfiles, make4lines, makelnklst, 
 makesshkeys, maketar, makezip, mvl, 
 nobody2root, print, printbook, queryall, 
 renjpg2dt, rentgz2dt, renumcont, renumfiles, runmutt, runtin, 
 sortips, stopwatch.tk, timediff, uncompr, untar, validate-filelist

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) % {_confdir}/sampleconf.conf
#%config % {_confdir}/sampleconf.conf
#%config % {_scnfdir}/sampleconf
#%attr(644,root,root)% {_confdir}/sampleconf.conf
#%attr(644,root,root)% {_scnfdir}/sampleconf
#%attr(644,root,root)% {_confdir}/sampleconf.incl.rpmnew

#%attr(744,root,root)% {_rcdir}/sampledm
#%attr(777,root,root)% {_sbindir}/rcsampledm
#%attr(744,root,root)% {_sbindir}/sampledm.sh

%attr(755,root,root)%{_bindir}/addtar
%attr(755,root,root)%{_bindir}/beautf-fn
%attr(755,root,root)%{_bindir}/beep
%attr(755,root,root)%{_bindir}/compr
%attr(755,root,root)%{_bindir}/datediff
%attr(755,root,root)%{_bindir}/deg2rad
%attr(755,root,root)%{_bindir}/del
%attr(744,root,root)%{_bindir}/diskedit
%attr(755,root,root)%{_bindir}/faxrequeue
%attr(755,root,root)%{_bindir}/fileck
%attr(755,root,root)%{_bindir}/flowed.fltr
%attr(755,root,root)%{_bindir}/lsstat
%attr(755,root,root)%{_bindir}/maillst
%attr(755,root,root)%{_bindir}/make4alldirs
%attr(755,root,root)%{_bindir}/make4allfiles
%attr(755,root,root)%{_bindir}/make4lines
%attr(755,root,root)%{_bindir}/makelnklst
%attr(755,root,root)%{_bindir}/makesshkeys
%attr(755,root,root)%{_bindir}/maketar
%attr(755,root,root)%{_bindir}/makezip
%attr(755,root,root)%{_bindir}/mvl
%attr(744,root,root)%{_bindir}/nobody2root
%attr(755,root,root)%{_bindir}/print
%attr(755,root,root)%{_bindir}/printbook
%attr(755,root,root)%{_bindir}/queryall
%attr(755,root,root)%{_bindir}/renjpg2dt
%attr(755,root,root)%{_bindir}/rentgz2dt
%attr(755,root,root)%{_bindir}/renumcont
%attr(755,root,root)%{_bindir}/renumfiles
%attr(755,root,root)%{_bindir}/runmutt
%attr(755,root,root)%{_bindir}/runtin
%attr(755,root,root)%{_bindir}/sortips
%attr(755,root,root)%{_bindir}/stopwatch.tk
%attr(755,root,root)%{_bindir}/timediff
%attr(755,root,root)%{_bindir}/uncompr
%attr(755,root,root)%{_bindir}/untar
%attr(755,root,root)%{_bindir}/validate-filelist

%{_datadir}/RELEASE
%{_datadir}/VERSION
%{_datadir}/heiseinfo.txt
%{_datadir}/inhalt.frm.fmt
%{_datadir}/stand.txt
%{_datadir}/stopwatch-help.txt

/etc/logrotate.d/faxlog

/usr/share/applications/stopwatch.desktop

#% {_icondir}/16x16/apps/stopwatch.png
%{_icondir}/22x22/apps/stopwatch.png
%{_icondir}/32x32/apps/stopwatch.png
%{_icondir}/48x48/apps/stopwatch.png
#% {_icondir}/64x64/apps/stopwatch.png
#% {_icondir}/128x128/apps/stopwatch.png
#% {_icondir}/256x256/apps/stopwatch.png
#% {_icondir}/512x512/apps/stopwatch.png
#/usr/share/pixmaps/stopwatch.png

%docdir %{_man1dir}
%{_man1dir}/addtar.1.gz
%{_man1dir}/beautf-fn.1.gz
%{_man1dir}/beep.1.gz
%{_man1dir}/compr.1.gz
%{_man1dir}/datediff.1.gz
%{_man1dir}/deg2rad.1.gz
%{_man1dir}/del.1.gz
%{_man1dir}/faxrequeue.1.gz
%{_man1dir}/fileck.1.gz
%{_man1dir}/flowed.fltr.1.gz
%{_man1dir}/lsstat.1.gz
%{_man1dir}/maillst.1.gz
%{_man1dir}/make4alldirs.1.gz
%{_man1dir}/make4allfiles.1.gz
%{_man1dir}/make4lines.1.gz
%{_man1dir}/makelnklst.1.gz
%{_man1dir}/makesshkeys.1.gz
%{_man1dir}/maketar.1.gz
%{_man1dir}/makezip.1.gz
%{_man1dir}/mvl.1.gz
%{_man1dir}/print.1.gz
%{_man1dir}/printbook.1.gz
%{_man1dir}/queryall.1.gz
%{_man1dir}/renjpg2dt.1.gz
%{_man1dir}/rentgz2dt.1.gz
%{_man1dir}/renumcont.1.gz
%{_man1dir}/renumfiles.1.gz
%{_man1dir}/runmutt.1.gz
%{_man1dir}/runtin.1.gz
%{_man1dir}/sortips.1.gz
%{_man1dir}/timediff.1.gz
%{_man1dir}/uncompr.1.gz
%{_man1dir}/untar.1.gz
%{_man1dir}/validate-filelist.1.gz

%docdir %{_man8dir}
%{_man8dir}/diskedit.8.gz
%{_man8dir}/nobody2root.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
#% {_docdir}/README.de

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# create group and user
#ngroup='' nuser='' npwd='' ncomm='' nhomedir='' nlogsh='' ngid=0 nuid=0 ret=0

# backup config files
#test -e %{_confdir}/sampleconf.conf && cp %{_confdir}/sampleconf.conf %{_confdir}/sampleconf.conf.rpmsave
#test -e %{_scnfdir}/sampleconf && cp %{_scnfdir}/sampleconf %{_scnfdir}/sampleconf.rpmsave

# disable sample daemon and stop sampledm
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop -q > /dev/null 2>&1

# rm links
#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
#rm -f %{_libdir}/libfuncstd-sh

# uninstall desktop files
xdg-desktop-menu uninstall \
	/usr/share/applications/stopwatch.desktop

# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	if [ -e %{_sysddir}/sampledm.service ]; then
#		systemctl stop sampledm.service
#		systemctl disable sampledm.service
#		rm %{_sysddir}/sampledm.service
#		systemctl daemon-reload
#	fi
#else							# SysV init
#	if [ -e %{_rcdir}/sampledm ]; then
#		test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop > /dev/null 2>&1
#		insserv -r sampledm > /dev/null 2>&1
#		rm -f %{_rcdir}/sampledm
#		rm -f %{_sbindir}/rcsampledm
#	fi
#fi

#if [ "$1" == 1 ]; then					# install package
#	# create group and user
#	ngroup=nobody					# new group account
#	ngid=65533					# new GID
#	nuser=nobody					# new user account
#	nuid=65534					# new UID
#	npwd=nobody					# password for new usr
#	ncomm="nobody"					# comment for new usr
#	nhomedir=/var/lib/$nuser			# home dir for new usr
#	nlogsh=/bin/bash			# login shell for new user
#	grep -m 1 "^$ngroup:" /etc/group > /dev/null 2>&1
#	ret=$?
#	if [ "$ret" -eq 1 ]; then			# group not found
#		groupadd --preferred-gid $ngid $ngroup
#	fi
#	grep -m 1 "^$nuser:" /etc/passwd > /dev/null 2>&1
#	ret=$?
#	if [ "$ret" -eq 1 ]; then			# user not found
#		useradd -c "$ncomm" -d $nhomedir -g $ngroup -m -p $npwd --preferred-uid $nuid -s $nlogsh $nuser
#	fi
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# Definition of vars
# set config pathname and all config vars from new config file
#cf=%{_confdir}/sampleconf.conf
#cnfvars='MyVar1 MyVar2'
#incf=%{_confdir}/sampleconf.incl
#c='' s='' t=''
#
# update array vars
#cnt=0 i=0
#
# vars for update all users conf
#rcfile='' updcmd='' usr='' u=''
#
#ret=0

# update icon cache
#gtk-update-icon-cache "/usr/share/icons/hicolor/"

# enable sample daemon
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -e -q > /dev/null 2>&1

# set links
#ln -sf /usr/bin/prog %{_bindir}/myprog
#ln -sf %{_libdir}/libfuncstd-sh-%{version} %{_libdir}/libfuncstd-sh

# handle include files
#if [ -e "$incf" ]; then
#	rm $incf.rpmnew
#else
#	mv $incf.rpmnew $incf
#	echo "Check $incf"
#fi

# install desktop files
xdg-desktop-menu install --novendor \
	/usr/share/applications/stopwatch.desktop

# add a (new) template to sample
#f=/.../sample						# pathname of file
#templ=%{_datadir}/sample.add				# template in datadir
#tmpf=/tmp/sample					# tempfile
#flag=sampledir						# flag for entries
#if [ -e $f ]; then					# file exist
#	grep -q $flag $f				# look for flag
#	ret=$?
#	if [ $ret -ne 0 ]; then				# no flag found
#		cat $templ >> $f			# add entries
#	else						# flag found
#		cat $f | grep $flag > $tmpf		# get add from file
#		cmp -s $tmpf $templ			# cmp add vs. templ
#		ret=$?
#		if [ $ret -ne 0 ]; then			# templ is new
#			cat $f | grep -v $flag > $tmpf	# rm add from file
#			cp $tmpf $f
#			cat $templ >> $f		# add new entries
#		fi
#		rm -f $tmpf
#	fi
#else
#	echo "File $f not found!"
#fi

# INIT SCRIPT/SYSTEMD UNIT - install samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	cp --preserve=mode %{_datadir}/sampledm.service %{_sysddir}/
#	systemctl daemon-reload
#	systemctl enable sampledm.service
#	echo "sampledm is added to the bootprocess and will auto start at next boot."
#	echo "Now configure $cf"
#	echo "You may start sampledm within yast or manual with:"
#	echo "systemctl start sampledm.service"
#else							# SysV init
#	cp --preserve=mode %{_datadir}/sampledm.rc %{_rcdir}/sampledm
#	ln -sf %{_rcdir}/sampledm %{_sbindir}/rcsampledm
#	insserv sampledm > /dev/null 2>&1
#	echo "sampledm is added to the bootprocess and will auto start at next boot."
#	echo "Now configure $cf"
#	echo "You may start sampledm within yast or manual with rcsampledm start"
#fi

#if [ "$1" == 1 ]; then					# install package
#	echo "Configure $cf"
#	echo "Users must create HOME/.samplerc with update-sample"
#else							# upgrade package
#	# update global conf
#	if [ -e $cf.rpmsave ]; then
#		#cp $cf $cf.rpmnew
#		. $cf
#		. $cf.rpmsave
#
#		# update conf vars START -------------------------------------
#		if [ -x %{_bindir}/replcnfvar ]; then
#			for c in $cnfvars; do
#				t="\$$c"
#				eval s="$t"
#				s=\"$s\"
#				%{_bindir}/replcnfvar $cf $c "$s"
#			done
#		else
#			echo "Error - cmd replcnfvar not found or not executable!" >&2
#			echo "Conf file not updated!" >&2
#		fi
#		# update conf vars STOP --------------------------------------
#
#		# update array vars START ------------------------------------
#		# array var MainArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#		# update array vars STOP -------------------------------------
#
#		# compare new conf vars <--> old conf vars
#		diff $cf $cf.rpmsave > /dev/null 2>&1
#		ret=$?
#		if [ "$ret" -eq 0 ]; then
#			rm $cf.rpmsave
#		else
#			echo "Check $cf"
#		fi
#	fi
#
#	# update all users conf START ----------------------------------------
#	rcfile='.samplerc'
#	updcmd="%{_bindir}/update-sample -q"
#	usr=`/usr/bin/grep /home/ /etc/passwd | /usr/bin/cut -d : -f 1`
#	for u in "$usr"; do
#		if [ -e /home/$u/$rcfile ]; then
#			/bin/su $u -c "$updcmd"
#		fi
#	done
#	if [ -e /root/$rcfile ]; then
#		$updcmd
#	fi
#	# update all users conf STOP -----------------------------------------
#
#	echo "If new version then users must update HOME/.samplerc with update-sample"
#fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	# backup config files
	#test -e %{_confdir}/sampleconf.conf && cp %{_confdir}/sampleconf.conf %{_confdir}/sampleconf.conf.rpmsave
	#test -e %{_scnfdir}/sampleconf && cp %{_scnfdir}/sampleconf %{_scnfdir}/sampleconf.rpmsave

	# disable sample daemon and stop sampledm
	#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop -q > /dev/null 2>&1

	# rm links
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
	#rm -f %{_libdir}/libfuncstd-sh

	# uninstall desktop files
	xdg-desktop-menu uninstall \
		/usr/share/applications/stopwatch.desktop

	# remove entries from file sample
	#f=/.../sample					# pathname of file
	#tmpf=/tmp/sample				# tempfile
	#flag=sampledir					# flag for entries
	#ret=0
	#if [ -e $f ]; then
	#	grep -q $flag $f			# look for flag
	#	ret=$?
	#	if [ $ret -eq 0 ]; then			# flag found
	#		cat $f | grep -v $flag > $tmpf	# rm add from file
	#		cp $tmpf $f
	#		rm -f $tmpf
	#	fi
	#else
	#	echo "File $f not found!"
	#fi

	# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
	#if [ -d %{_sysddir} ]; then				# systemd
	#	if [ -e %{_sysddir}/sampledm.service ]; then
	#		systemctl stop sampledm.service
	#		systemctl disable sampledm.service
	#		rm %{_sysddir}/sampledm.service
	#		systemctl daemon-reload
	#	fi
	#else							# SysV init
	#		test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop > /dev/null 2>&1
	#		insserv -r sampledm > /dev/null 2>&1
	#		rm -f %{_rcdir}/sampledm
	#		rm -f %{_sbindir}/rcsampledm
	#	fi
	#fi
#else							# upgrade package
fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

# update icon cache
#gtk-update-icon-cache "/usr/share/icons/hicolor/"

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/sampledir
#else							# upgrade package
fi
exit 0

%changelog
* Sun Apr 07 2024 Repomaster <repomaster@kaesmann-online.de> 1.0.4-40.0.0
- Following programs have been revised/improved:
  beep, makelnklst.

* Fri Mar 24 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.4-39.0.0
- Following programs have been revised/improved
  (changed req. libmath to libmath2):
  deg2rad, renumfiles.

* Thu Mar 23 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.4-38.0.0
- Following programs have been revised/improved:
  makelnklst, maketar, untar

* Sat Nov 26 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.4-37.1.0
- 'maillst' has been revised/improved
  (it has been adopted to the journal
  and it is for all users now).

* Thu Jan 06 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.4-37.0.0
- Update to the libfuncstd-sh 4.0.0

* Mon Dec 06 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.4-36.2.0
- stopwatch.tk has been revised/improved.

* Sun Dec 05 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.4-36.1.0
- stopwatch.tk has been revised/improved.

* Sat Dec 04 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.4-36.0.0
- Added stopwatch.tk

* Tue Apr 20 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.4-35.0.0
- Deleted syncdirs

* Sat Apr 17 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.4-34.0.0
- makesshkeys has been revised/improved
  (rsa1 keys are no longer supported,
   added support for ed25519 keys).

* Sat Nov 21 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-33.2.0
- deg2rad and renumfiles have been modified
  (added sourcing of libmath-sh).

* Tue Sep 15 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-33.1.0
- renumcont has been revised/improved.

* Tue May 12 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-33.0.0
- Removed 'cpdir'.

* Tue May 12 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-32.0.0
- Following programs/files have been moved to ksm-mount:
  mntcdrom, mntdvd, mntloop-ext2, mntloop-iso9660,
  mount-cd.desktop, unmount-cd.desktop

* Tue May 05 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-31.0.0
- Following programs have been moved to ksm-heisereg:
  hreg, reg.2.1.6

* Tue May 05 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-30.0.0
- Following programs have been moved to ksm-lesstools:
  lessopen.sh, lesspipe.sh

* Mon May 04 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-29.0.0
- Following programs have been moved to ksm-csv:
  csv-cat, csv-clean, manage-csv

* Wed Mar 25 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-28.1.0
- print has been revised/improved
  (added option -n
  now we use ksm-pr as formatter).

* Sat Mar 07 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-28.0.0
- Added 'compr' and 'uncompr'.

* Sat Mar 07 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-27.0.0
- ksm-pr has been moved to package ksm-textproc.

* Wed Feb 12 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.4-26.2.0
- ksm-pr has been revised.

* Thu Dec 19 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.4-26.1.0
- ksm-pr has been revised
  (added option -D, fixed error if header to long).

* Sun Dec 01 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.4-26.0.0
- Added ksm-pr

* Sat Nov 09 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.4-25.1.0
- print has been revised
  (added option --lsb).

* Fri Nov 02 2018 Repomaster <repomaster@kaesmann-online.de> 1.0.4-25.0.0
- Following programs have been moved to package ksm-rpm:
  rpmchk, rpmdeps1, rpminfo, rpmprovides, rpmrequires

* Mon Mar 12 2018 Repomaster <repomaster@kaesmann-online.de> 1.0.4-24.4.0
- makesshkeys has been revised
  (preserve authorized_keys and known_hosts).

* Mon Jun 19 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.4-24.3.0
- The script beep has been revised
  (fixed error in checking arguments).

* Thu Mar 02 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.4-24.2.0
- The script beautf-fn has been revised
  (fixed error in cmd -f).

* Wed Feb 08 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.4-24.1.0
- All scripts have been revised
  (using function GetOpt).

* Mon Jan 16 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.4-24.0.0
- Deleted the script lowerchar-fn.
- Deleted the script makelnklst-zz.
- The script dbjsfiles has been renamed
  to manage-csv

* Thu Dec 08 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.4-23.4.0
- The script make4lines has been revised.

* Mon Nov 07 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.4-23.3.0
- Following scripts have been revised:
  cpdir, csv-cat, csv-clean, make4lines, 
  makelnklst, validate-filelist

* Tue Sep 20 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.4-23.2.0
- The script renumcont has been revised.

* Sun Sep 18 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.4-23.1.0
- The script del has been revised.

* Thu Jun 02 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.4-23.0.0
- Added the script renumcont.

* Thu Mar 31 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.4-22.0.0
- The script 'reg' has been renamed to 'hreg'.

* Sun Mar 20 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.4-21.1.0
- The package has been revised.

* Tue Nov 17 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-21.0.0
- Added the script rpmdeps1.

* Sun Nov 01 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-20.1.0
- The script diskedit has been revised.

* Sat Oct 31 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-20.0.0
- Added the script diskedit.

* Thu Oct 22 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-19.0.0
- The scripts maketar and untar have been revised.
- Added the link addtar -> maketar

* Thu Oct 22 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-18.5.0
- The scripts maketar and untar have been revised.

* Mon Jul 06 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-18.4.0
- The script syncdirs has been revised
  (no value to var sync_nr).

* Wed Jun 24 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-18.3.0
- The script syncdirs has been revised
  (added cmd -e).

* Fri Jun 19 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-18.2.1
- The docu of the script 'print' has been revised.

* Thu Jun 18 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-18.2.0
- The script syncdirs has been revised
  (config moved to ~/.syncdirs/).

* Mon May 11 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-18.1.0
- The script beautf-fn has been revised
  (added opt -x).

* Sun May 10 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-18.0.0
- The script beautf-up1 has been removed from package.
- The script beautf-fn has been revised
  (added cmds -f, -l, -u).

* Wed Apr 01 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-17.0.0
- The script syncdirs has been moved from
  package ksm-local-jk to this package.

* Mon Jan 26 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-16.5.0
- Following scripts have been revised:
  mntcdrom, mntdv .

* Mon Dec 15 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.4-16.4.0
- Following scripts have been revised
  (added support for bzip2, lzma and xz):
  lessopen.sh, lesspipe.sh, untar.

* Thu Oct 16 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.4-16.3.1
- The docu of the package has been revised.

* Sat May 10 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-16.3.0
- The script reg has been revised
  (moving database backup file to /tmp/).

* Sat May 10 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-16.2.0
- The script renjpg2dt has been revised
  (now years have 4 digits).

* Tue Mar 18 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-16.1.0
- Renamed the script make-sshkeys to makesshkeys.
- The script makesshkeys has been revised
  (added cmds -i, -r, -s).

* Fri Mar 14 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-16.0.0
- Added the script datediff.

* Mon Feb 17 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-15.0.0
- The script makelnklst has been renamed to makelnklst-zz.
- Added the new script makelnklst (works different then
  the former!).

* Thu Feb 13 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-14.5.0
- The package has been revised
  (added mount-cd.desktop and unmount-cd.desktop).

* Sun Feb 02 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-14.4.0
- The script del has been revised.
- Introducing numbered backups.

* Fri Jan 31 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-14.3.0
- The script del has been revised.

* Fri Jan 31 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-14.2.0
- The script del has been revised (cmd -l).

* Thu Jan 30 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-14.1.0
- The script del has been revised.

* Wed Jan 29 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-14.0.0
- Added the script del.

* Sun Jan 26 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-13.5.0
- The script make4lines has been revised.

* Mon Aug 26 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-13.4.0
- The scripts lessopen.sh and lesspipe.sh have been revised.

* Mon Aug 26 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-13.3.0
- The script 'renumfiles' has been revised (added cmd -c).

* Thu Jun 13 2013 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-13.2.0
- The script mntcdrom has been revised.
  Now it uses the /etc/fstab for mounting.

* Mon Mar 04 2013 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-13.1.0
- The script renjpg2dt has been revised.

* Sun Feb 10 2013 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-13.0.0
- Added the script make-sshkeys.

* Thu Dec 06 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-12.0.1
- The docu of script 'printbook' has been revised.

* Thu Nov 01 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-12.0.0
- Added the script fileck.

* Thu Nov 01 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-11.2.0
- The script 'reg' has been revised (added cmd -k).
  Now the data is under /var/daten/heisereg/

* Sun Oct 07 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-11.1.0
- The scripts 'print' and 'printbook' have been revised.

* Mon Oct 01 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-11.0.0
- The package has been revised.
- Following scripts have been removed:
  playlst2lnks, prcharset, print.local

* Fri Sep 21 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-10.1.0
- The script cpdir has been revised.

* Wed Apr 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-10.0.0
- Added the script mntdvd.

* Wed Apr 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-9.4.0
- The script dbjsfiles has been revised.

* Wed Apr 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-9.3.0
- The package has been revised.

* Tue Apr 03 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-9.2.0
- Following scripts are revised (code, help, manpage):
  rpmchk, rpminfo, rpmprovides, rpmrequires.

* Tue Apr 03 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-9.1.0
- The release naming scheme has changed ('.ksm' is removed).

* Mon Mar 26 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-9.1.0.ksm
- The script deg2rad is revised.

* Thu Mar 22 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-9.0.0.ksm
- Added the script deg2rad.

* Thu Nov 17 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-8.0.0.ksm
- Following scripts has moved from package ksm-root-admin
  to this package: rpmchk, rpminfo, rpmprovides, rpmrequires.

* Mon Nov 14 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-7.0.0.ksm
- The script nobody2root has moved from package ksm-root-admin
  to this package.

* Sun Nov 13 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-6.0.0.ksm
- Following scripts has moved to package ksm-root-admin:
  buildtgz, makesendmail.cf, nobody2root, push-archives, scan-scanner,
  silent-ping, swserv, tarchiv, watchurl.
- Following scripts has moved from package ksm-textproc to this package:
  beautf-fn, beautf-up1, beep, lowerchar-fn, maketar, mvl,
  renumfiles, untar.

* Sat Nov 12 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.12.0.ksm
- The script lesspipe.sh is revised (detection of archives).

* Mon Oct 31 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.11.0.ksm
- The script buildtgz is revised (function make_filelists).

* Sat Oct 29 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.10.0.ksm
- The script install.sh.templ is revised.

* Sat Oct 29 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.9.0.ksm
- The script buildtgz is revised (Error messages).

* Thu Oct 27 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.8.0.ksm
- The script install.sh.templ is revised.

* Thu Oct 27 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.7.0.ksm
- The script buildtgz is revised (missing pkg.dat).

* Mon Oct 24 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.6.0.ksm
- The script install.sh.templ is revised (auto unregister).

* Mon Oct 24 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.5.0.ksm
- The script buildtgz is revised (break for archiv dir).
- The script install.sh.templ is revised (auto register).
- The file pkg.dat.templ is revised.

* Sun Oct 23 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.4.0.ksm
- Added the template pkg.dat.templ

* Sun Oct 23 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.3.0.ksm
- The script buildtgz is revised (permissions are added to dirs.lst).
- Added the template install.sh.templ

* Sat Oct 22 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.2.0.ksm
- The script buildtgz is revised (sort pkg.inf).

* Sat Oct 22 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.1.0.ksm
- The script buildtgz is revised (create the lists).

* Sat Oct 22 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-5.0.0.ksm
- The script build-ksm has renamed to buildtgz and it is revised.

* Fri Oct 21 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-4.1.0.ksm
- The script build-ksm is revised.

* Fri Oct 21 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-4.0.0.ksm
- The script build-ksm is revised.

* Wed Aug 10 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-3.1.0.ksm
- The script dbjsfiles is revised.

* Wed Aug 10 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-3.0.0.ksm
- Added the script dbjsfiles.

* Wed May 04 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-2.1.0.ksm
- The script csv-clean is revised.

* Sun Apr 17 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-2.0.1.ksm
- The docu to csv-clean is revised.

* Fri Apr 15 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-2.0.0.ksm
- The script csv-c2s is renamed to csv-clean.

* Fri Apr 15 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-1.1.0.ksm
- The script csv-c2s is revised.

* Thu Apr 14 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-1.0.0.ksm
- Added the script csv-c2s.

* Fri Apr 08 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.0.0.ksm
- The script push-archives got the conf file push-archives.conf

* Mon Mar 07 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.3-0.1.0.ksm
- The script tarchiv is revised.

* Tue Jan 25 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.3-0.0.0.ksm
- The script print is revised. Printer(queu) 'hp' has changed to the
  mandatory queu 'lp'.

* Tue Jan 04 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.0.0.ksm
- The package name has changed to avoid conflicts with the openSUSE
  distribution. It has been prepended with 'ksm-'.

* Mon Jun 07 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.0.0.ksm
- Added the script validate-filelist.

* Wed May 19 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-5.0.0.ksm
- Added the script silent-ping.

* Sun May 16 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-4.2.0.ksm
- Added option -s to script rentgz2dt.

* Sun Mar 21 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-4.1.0.ksm
- All scripts are revised.

* Tue Feb 02 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-4.0.2.ksm
- Read version and dependency infos from external files.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-4.0.1.ksm
- The docu has changed.

* Mon Jan 25 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-4.0.0.ksm
- Added the script rentgz2dt

* Thu Jan 21 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-3.1.2.ksm
- The dependencies are changed.

* Thu Jan 21 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-3.1.1.ksm
- The Documentation has changed.

* Thu Jan 21 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-3.1.0.ksm
- Permissions of push-archives are changed.

* Wed Jan 20 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-3.0.0.ksm
- Program push-archives moved from package lan-utils to package utils.

* Wed Jan 20 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.0.ksm
- Program tarchiv moved from package backup to package utils.

* Sun Jan 17 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-1.0.0.ksm
- Program media2media is renamed to cpdir

* Sun Dec 13 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-0.0.0.ksm
- Added program media2media

* Fri Nov 13 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.ksm.0.0
- Program lr moved to package TextProc

* Mon Oct 26 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0
- The package management has changed to RPM.
